namespace AziendaBibite;

public class BevandaAnalcolica : Bevanda
{
    public bool Gassata { get; private set; }
    
    public BevandaAnalcolica(string nome, string listaIngredenti, int quantità, bool gassata) : base(nome, listaIngredenti, quantità)
    {
        Gassata = gassata;
    }

    public override string Info()
    {
        return String.Format("Codice: {0}, Nome: {1}, Ingredienti: {2}, Quantità: {3}, Gassata: {4}", 
            Codice, Nome, ListaIngredenti, Quantità, Gassata ? "Si" : "No");
    }
}